        body{height: 100vh}
         .thumbnails img {
         cursor: pointer;
         border: 2px solid transparent;
         border-radius: 6px;
         margin-bottom: 10px;
         transition: 0.3s;
         width: 70px;
         height: 70px;
         object-fit: cover;
         }
         .thumbnails img:hover {
         border-color: #ffe14f; /* hover pe yellow border */
         }
         .thumbnails img.active {
         border-color: #28a745; /* selected image green border */
         }
         .main-image img {
         object-fit: contain;
         }
         a{text-decoration: none;}
         .marginright-24 {
         margin-right: 24px;display: flex;
         }
         .paddingright-8 {
         padding-right: 8px;
         }
         .detail_content h1{font-size: 34px;
         font-family: "Anton", sans-serif;
         font-weight: 400;
         font-style: normal;
         padding-top: 15px;}
         .detail_content p{
         font-weight: 600;}
         .label{
         font-weight: 700;}
         .value{
         font-weight: 700;}
         .form-group {
         width: 100%;
         }
         .form-group label {
         display: block;
         font-weight: bold;
         margin-bottom: 8px;
         font-size: 16px;
         }
         .size-dropdown {
         width: 100%;
         padding: 10px;
         font-size: 16px;
         border-radius: 6px;
         border: 1px solid #ccc;background-color: #fff !important;
         }
         .cart-box {
         display: flex;
         justify-content: space-between;
         align-items: center;
         }
         .detail-quantity-control {
         display: flex;
         align-items: center;
         }
         .add-to-cart {
         flex-shrink: 0;  /* button squeeze na ho */
         padding: 10px 20px;
         border: none;
         border-radius: 6px;
         color: #111;
         font-size: 14px;
         font-weight: 900;
         text-transform: uppercase;
         cursor: pointer;
         background-color: #FFD700;width: 100%;
         }
         .detail-quantity-control button {
         width: 32px;
         height: 32px;
         font-size: 20px;
         font-weight: bold;
         border: none;
         background-color: #000;
         color: #FFD700;
         cursor: pointer;
         border-radius: 4px;
         transition: background-color 0.2s ease;
         }
         .detail-quantity-control button:hover {
         background-color: #FFD700;color: #000;
         }
         .quantity-input {
         width: 75px;
         text-align: center;
         font-size: 16px;
         margin: 0 10px;
         padding: 5px;
         border: 1px solid #ccc;
         border-radius: 4px;
         }
         .detail_content img{width: 190px;}
         /* Overlay */
.cart-popup-overlay {
  display: none;
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,0.6);
  z-index: 999;
}

/* Popup */
.cart-popup {
  display: none;
  position: fixed;
  top: 50%; left: 50%;
  transform: translate(-50%, -50%);
  width: 500px;
  background: #fff;
  z-index: 1000;
  border-radius: 8px;
  overflow: hidden;
  font-family: Arial, sans-serif;
}

.cart-header {
  padding: 15px;
  border-bottom: 1px solid #ddd;
  display: flex;
  justify-content: space-between;background-color: #dddddd30;
  align-items: center;
}
.cart-header h3 { margin: 0; font-size: 16px;font-weight: 600; }
.close-cart {
  background: none;
  border: none;
  font-size: 20px;
  cursor: pointer;
}
.cart-item {
  display: flex;
  align-items: center;
  padding: 10px;
  border-bottom: 1px solid #f1f1f1;
  position: relative;
}
.cart-item img {
  width: 100px;
  height: 100px;
  margin-right: 10px;
}
.cart-item-info p { margin: 0; font-size: 14px; }
.cart-item-info span { color: #444; font-size: 13px; display: block; margin: 5px 0; }

.quantity-control {
  display: flex;
  align-items: center;
}
.quantity-control button {
   width: 40px;
   height: 28px;
   border: 1px solid #000;
   background: #000;
   cursor: pointer;
   color: #FFD700;
   font-weight: bold;
}
.quantity-control input {
  width: 40px;
  text-align: center;
  border: 1px solid #ccc;
  margin: 0 3px;
}

.cart-footer h3 { margin: 0; font-size: 16px;font-weight: 600;  text-decoration: underline;
 }
.cart-footer {
  padding: 15px;
}

.cart-row {
  display: flex;
  justify-content: space-between;
  margin: 5px 0;
  font-size: 14px;
}
        .cart_block_list{  padding-left: 15px;}

.cart-row strong {
  font-weight: bold;
}

.cart-row span {
  font-weight: bold;
}

.cart-actions {
  display: flex;
  justify-content: space-between;
  margin: 10px 0;
}
.cart-btn, .checkout-btn {
   flex: 1;
   padding: 10px;
   border: 1px solid #FFD700;
   cursor: pointer;
   background-color: #FFD700;
   font-weight: bold;
}
.continue-shopping {
  display: block;text-align: center;
  margin-top: 10px;
  font-size: 13px;
  text-decoration: underline;
  color: #333;
}
.cart-item-info {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
}

.cart-item-details {
  display: flex;
  flex-direction: column;padding-right: 10px;
}

.cart-item-details p {
   margin: 0;
   font-size: 15px;
   font-weight: 600;
}

.cart-item-details span {
  color: #444;
  font-size: 13px;
  margin-top: 3px;
}
/* Chrome, Safari, Edge, Opera */
.quantity-control input::-webkit-outer-spin-button,
.quantity-control input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
.quantity-control input[type=number] {
  -moz-appearance: textfield;
}

.remove-item {
  background: none;
  border: none;
  font-size: 18px;
  color: #666;
  cursor: pointer;
  margin-left: 8px;
  transition: color 0.2s;
}

.remove-item:hover {
  color: red;
}

#zoomArea {
  position: relative;
  overflow: hidden;
  cursor: crosshair;
}

#zoomArea img {
  transition: transform 0.2s ease;
  transform-origin: center center;
}

.font_size .value{font-size: 19px;font-weight: 700}
.font_size .label {
  font-size: 19px;
  font-weight: 500;
  color: #8a7979;
}
.font_size label {
  font-size: 19px;
  font-weight: 500;
  color: #8a7979;
}
         .PP_tags{justify-content: space-between;}
         .product-price {
  font-weight: 600;
  margin-right: 8px;
}

.stock-tag {
   background: #FB4444;
   color: #fff !important;
   font-size: 14px !important;
   font-weight: bold;
   padding: 7px;
   border-radius: 4px;
   vertical-align: middle;
   display: flex;
   justify-content: center;
   align-items: center;margin-left: auto;
}
         /* responsive */
         @media screen and (max-width:1400px) {
         }
         @media screen and (min-width:1200px) and   (max-width:1399.98px) {
         .quantity-input {
         width: 65px;
         }
         .add-to-cart {
         padding: 10px 10px;
         font-size: 11px;
         }
         }
         @media screen and (min-width:992px) and   (max-width:1199.98px) {
         }
         @media screen  and (min-width:768px) and (max-width:991.98px) {
         }
         @media screen and (min-width:576px) and (max-width:767.98px) {
         }
         @media screen  and (min-width:381px) and (max-width:575.98px){
         }
         @media screen and (min-width:320px) and (max-width:380.98px) {
         }